<?php
namespace tx;
include 'TxDemo.php';
//include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/DemoSM4Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use util\DemoSM4Utils;
use util\TxUtils;
use vo\BizParameter;
use TxClient;
/**
 * 银行子账户实时余额查询
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
class Member1060Demo extends TxDemo
{
    public static function main()
    {
        new Member1060Demo();
        $demoConfig = self::$demoConfig;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum(). "99911");
        $bizParameter->addParam("signNum", "tlt202405303002");
        $bizParameter->addParam("subAcctNo", "J04019900000435");
        $bizParameter->addParam("acctAttr", "14");
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1060", $bizParameter, $demoConfig->getMemberUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Member1060Demo())->main();