<?php

namespace tx;
include 'TxDemo.php';
include '../config/DemoConfig.php';
include '../util/DemoSM2Utils.php';
include '../util/TxUtils.php';
include '../vo/BizParameter.php';
include '../tx/TxClient.php';

require_once __DIR__ . '/../../vendor/autoload.php';

use tx\TxDemo;
use TxClient;
use util\TxUtils;
use vo\BizParameter;
class Member1062Demo extends TxDemo
{
    public static function main()
    {
        new Member1062Demo();
        $demoConfig = self::$demoConfig;
        $logger = self::$logger;
        // 组装参数
        $bizParameter = new BizParameter();
        $bizParameter->addParam("reqTraceNum", TxUtils::genReqTraceNum());
        $bizParameter->addParam("openBankNo","1001");
        $bizParameter->addParam("dateStart","20240514");
        $bizParameter->addParam("dateEnd","20240514");
        //01- 转账入金
        //02- 退汇
        //03- 支付渠道入金
        //04- 提现
        //05- 退款（预留）
        //99- 所有
        $bizParameter->addParam("qryTradeType","99");
        $bizParameter->addParam("returnRows","100");
        $bizParameter->addParam("page","1");
        $bizParameter->addParam("respTraceNum", "20240328175954208901135731");
        // 发送请求
        $txClient = new TxClient($demoConfig);
        $txResponse = $txClient->sendRequest("1062", $bizParameter, $demoConfig->getQueryUrl());
        // 打印响应结果
        echo PHP_EOL . "响应结果: " . $txResponse->bizData;
    }
}
(new Member1062Demo())->main();
